Status: Closed % Done: 0%
Priority: High Spent time: 0.00 hour
Target version: 2.0.0-rc1
Severity: Add-on version:
gvSIG version: 2.0.0 Add-on build:
Has patch: No Hito:
Add-on name: Unknown
Description

ESP - No se pueden insertar valores en campos nuevos:
Pasos
1.- Abrir gvSIG
2.- Abrir Tabla NUEVA
3.- Abrir tabla concejos.navarra.dbf (http://downloads.gvsig.org/download/geodata/tables/DBF/)
4.- Menú Tabla/Comenzar Edición
5.- Seleccionar un campo
6.- Menú Tabla/Column_manager
7.- Crear un campo nuevo (field1,Integer,50)
8.- Insertar valores en el campo nuevo
9.- No pasa nada

ENG - Can't insert values in new fields:
Steps
1.- Open gvSIG
2.- Open NEW table
3.- Open layer concejos.navarra.dbf (http://downloads.gvsig.org/download/geodata/tables/DBF/)
4.- Table menu and Start Editing
5.- Select a field
6.- Go to menu Table/Column_manager
7.- Create a field (field1,Integer,50)
8.- Insert values in the new field
8.- There is no response

History
#1 - 10/04/2012 12:31 PM - Abenchara Socorro
- Target version set to 2.0.0-rc1

Problem persists in build 2055

#2 - 10/16/2012 04:21 PM - Juan Lucas Domínguez
- Assignee set to Juan Lucas Domínguez
#3 - 10/17/2012 04:33 PM - Juan Lucas Domínguez
- Status changed from New to Fixed

gvsig-desktop:r39073

Prevent null pointer exception in DefaultFeature
(example: create new integer field in DBF and set value only for some rows)

#4 - 11/12/2012 01:42 PM - María Maluenda
- Status changed from Fixed to Under review

Tested in the gvSIG build 2057, in rows that not set value, when closed the edition, applied value=0. ¿It's ok?

#5 - 12/05/2012 12:39 PM - Juan Lucas Domínguez
- Status changed from Under review to New

#6 - 12/05/2012 12:42 PM - Juan Lucas Domínguez
- Status changed from New to Fixed

Yes, it's ok.
Some layers have a "default value" to prevent null values. If the field is numeric, then the default value is probably 0.

#7 - 12/18/2012 12:51 PM - Vicent Domenech
- Status changed from Fixed to Closed

Closed using gvSIG build 2061 (RC2)
